package com.sd.business.controller.board;


import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.board.vo.*;
import com.sd.business.service.board.DailyBoardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 每日看板 前端控制器
 * </p>
 *
 * @author
 * @since 2023-09-21
 */
@RestController
@RequestMapping("/dailyBoard")
public class DailyBoardController {
    @Autowired
    private DailyBoardService dailyBoardService;

    /**
     * 获取MES今日生产出库数据列表
     * @return
     */
    @PostMapping("/getProductionOutStorageList")
    public List<DailyBoardOutStorageBomVo> getProductionOutStorageList(@RequestBody BaseSelectDto dto) {
       return dailyBoardService.getProductionOutStorageList(dto);
    }

    /**
     * MES&万里牛今日订单和BOM差异 （不含自建订单）
     * @return
     */
    @PostMapping("/getOrderBomDifferenceList")
    public List<OrderBomDifferenceVo> getOrderBomDifferenceList(@RequestBody BaseSelectDto dto) {
        return dailyBoardService.getOrderBomDifferenceList(dto);
    }

    /**
     * 万里牛今日销售出库数据
     * @return
     */
    @PostMapping("/getWlnSalesOutStorageInfo")
    public WlnSalesOutStorageVo getWlnSalesOutStorageInfo(@RequestBody BaseSelectDto dto) {
        return dailyBoardService.getWlnSalesOutStorageInfo(dto);
    }

    /**
     * MES今日生产订单数据（不含自建订单）
     * @return
     */
    @PostMapping("/getMesProductionOutStorageInfo")
    public MesProductionOutStorageVo getMesProductionOutStorageInfo(@RequestBody BaseSelectDto dto) {
        return dailyBoardService.getMesProductionOutStorageInfo(dto);
    }


    /**
     * 自建订单数据
     * @return
     */
    @PostMapping("/getSelfOrderOutStorageInfo")
    public SelfOrderOutStorageVo getSelfOrderOutStorageInfo(@RequestBody BaseSelectDto dto) {
        return dailyBoardService.getSelfOrderOutStorageInfo(dto);
    }


}
